---
title: DOMPointReadOnly.toJSON()
slug: Web/API/DOMPointReadOnly/toJSON
tags:
  - API
  - Coordinates
  - DOM
  - DOMPointReadOnly
  - Geometry
  - Geometry Interfaces
  - JSON
  - Method
  - Point
  - Reference
  - toJSON
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The {{domxref("DOMPointReadOnly")}} method <code>toJSON()</code> returns a {{domxref("DOMPointInit")}} object giving the {{Glossary("JSON")}} form of the point object.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>pointJSON</em> = <em>DOMPointReadOnly</em>.toJSON();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("DOMPointInit")}} object whose properties are set to the values in the <code>DOMPoint</code> or <code>DOMPointReadOnly</code> on which the method was called.</p>

<h2 id="Example">Example</h2>

<p>This example creates a {{domxref("DOMPoint")}} object representing the top-left corner of the current window, in screen coordinates, then converts that to JSON.</p>

<pre class="brush: js">var topLeft = new DOMPoint(window.screenX, window.screenY);

var pointJSON = topLeft.toJSON();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompointreadonly-tojson', 'DOMPointReadOnly.toJSON()')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.toJSON")}}</p>
